CREATE TABLE `menu` (
  `id_menu` int(32) NOT NULL auto_increment,
  `title` tinytext,
  `disposition` enum('vertical','horizontal') default NULL,
  `separator` tinytext NOT NULL,
  `pos` int(11) default NULL,
  PRIMARY KEY  (`id_menu`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#is_separator

CREATE TABLE `menu_items` (
  `id_item` int(32) NOT NULL auto_increment,
  `caption` tinytext,
  `url` tinytext,
  `pos` int(11) default NULL,
  `id_menu` int(11) default NULL,
  `id_item_prec` tinytext,
  PRIMARY KEY  (`id_item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#is_separator

CREATE TABLE `pages_blocks` (
  `id_block` int(11) NOT NULL auto_increment,
  `type` tinytext,
  `gen_type` tinytext,
  `content` text,
  `params` tinytext,
  `pos` int(11) default NULL,
  `id_pg` int(11) NOT NULL,
  PRIMARY KEY  (`id_block`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#is_separator

CREATE TABLE `pages_images` (
  `id_img` int(11) NOT NULL auto_increment,
  `title` tinytext,
  `text` text NOT NULL,
  `img_min` tinytext,
  `img_max` tinytext,
  `pos` int(11) default NULL,
  `id_pg` int(11) default NULL,
  `id_block` int(11) NOT NULL,
  PRIMARY KEY  (`id_img`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#is_separator

CREATE TABLE `parts` (
  `id_part` int(11) NOT NULL auto_increment,
  `title` tinytext,
  `pos` int(11) default NULL,
  `id_part_prec` int(11) default NULL,
  `id_tpl` int(11) NOT NULL,
  PRIMARY KEY  (`id_part`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#is_separator

CREATE TABLE `parts_items` (
  `id_item` int(11) NOT NULL auto_increment,
  `i_type` enum('mod','page') default NULL,
  `title` tinytext,
  `mod_name` tinytext,
  `params` text,
  `pos` int(11) NOT NULL,
  `id_part` int(11) NOT NULL,
  PRIMARY KEY  (`id_item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#is_separator

CREATE TABLE `parts_perm_den` (
  `id_perm` int(11) NOT NULL auto_increment,
  `id_group` int(11) default NULL,
  `id_part` int(11) default NULL,
  `act` tinytext NOT NULL,
  PRIMARY KEY  (`id_perm`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#is_separator

CREATE TABLE `settings` (
  `id` int(11) NOT NULL,
  `begin_id_item` int(11) default NULL,
  `site_title` text NOT NULL,
  `descr` text NOT NULL,
  `keywords` tinytext NOT NULL,
  `img_antiflood` enum('yes','no') NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#is_separator

INSERT INTO `settings` (`id`, `begin_id_item`, `site_title`, `descr`, `keywords`, `img_antiflood`) VALUES
(1, 9, '', 'Lorem ipsum', 'aaaa, bbbb, cccc, dddd,', 'no');

#is_separator

CREATE TABLE `sitetpl` (
  `id_tpl` int(11) NOT NULL auto_increment,
  `title` tinytext,
  `file` tinytext,
  `pos` int(11) default NULL,
  `maintpl` enum('yes','no') NOT NULL,
  PRIMARY KEY  (`id_tpl`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#is_separator

CREATE TABLE `smiles` (
  `id_smile` int(32) NOT NULL auto_increment,
  `emotion` tinytext,
  `code` tinytext,
  `img_name` tinytext,
  `width` int(4) default NULL,
  `height` int(4) default NULL,
  `pos` int(4) default NULL,
  PRIMARY KEY  (`id_smile`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#is_separator

CREATE TABLE `users` (
  `id_user` int(32) NOT NULL auto_increment,
  `name` tinytext NOT NULL,
  `login` tinytext,
  `psw` tinytext,
  `group` tinytext,
  `email` tinytext,
  `city` tinytext,
  `info` text,
  `subscribe` enum('yes','no') NOT NULL default 'yes',
  `reg_date` datetime NOT NULL,
  `activated` enum('yes','no') NOT NULL default 'yes',
  PRIMARY KEY  (`id_user`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

#is_separator

INSERT INTO `users` (`id_user`, `name`, `login`, `psw`, `group`, `email`, `city`, `info`, `subscribe`, `reg_date`, `activated`) VALUES
(2, 'admin', 'admin', '21232f297a57a5a743894a0e4a801fc3', 'admin', 'antf@pochta.ru', NULL, '', 'yes', '2008-05-13 03:04:23', 'yes');

#is_separator

CREATE TABLE `regform_fields` (
  `id_field` int(32) NOT NULL auto_increment,
  `field_name` tinytext,
  `type` tinytext,
  `caption` tinytext,
  `oblig` enum('yes','no') default NULL,
  `params` mediumtext,
  `pos` int(11) default NULL,
  `in_users_list` enum('yes','no') NOT NULL default 'no',
  PRIMARY KEY  (`id_field`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=17 ;

#is_separator

INSERT INTO `regform_fields` (`id_field`, `field_name`, `type`, `caption`, `oblig`, `params`, `pos`, `in_users_list`) VALUES
(16, 'city', 'text', 'City', 'no', 'a:1:{s:13:"default_value";s:0:"";}', 1, 'yes');

#is_separator

CREATE TABLE `new_passwords` (
  `id_psw` int(11) NOT NULL auto_increment,
  `id_user` int(11) default NULL,
  `code` int(11) default NULL,
  `new_psw` tinytext,
  PRIMARY KEY  (`id_psw`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;